<?php

namespace App\Http\Controllers;

use App\Models\Asiento;
use App\Models\Registro;
use Illuminate\Http\Request;


class EstadoResulController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        //
    }

    public function showEstadosResul(Request $request, $id_registro)
    {
        // Obtener las fechas del formulario
        $fechaInicio = $request->input('fecha_inicio');
        $fechaFin = $request->input('fecha_fin');

        // Validar que las fechas estén presentes
        if (!$fechaInicio || !$fechaFin) {
            return back()->withErrors(['message' => 'Debe seleccionar un rango de fechas.']);
        }

        // Filtrar los asientos por el rango de fechas
        $asientos = Asiento::where('id_registro', $id_registro)
            ->whereBetween('fecha', [$fechaInicio, $fechaFin])
            ->get();

        // Inicializar arreglos para las cuentas de ingresos y gastos
        $ingresos = [];
        $gastos = [];

        // Inicializar variables para el total de ingresos y gastos
        $totalIngresos = 0;
        $totalGastos = 0;

        // Iterar sobre los asientos y agrupar por ingresos y gastos
        foreach ($asientos as $asiento) {
            if ($asiento->tipo == 3) { // Tipo 3: Ingresos
                $ingresos[] = $asiento;
                $totalIngresos += $asiento->haber;
            } elseif ($asiento->tipo == 4) { // Tipo 4: Gastos
                $gastos[] = $asiento;
                $totalGastos += $asiento->debe;
            }
        }

        // Calcular utilidad o pérdida
        $utilidad = $totalIngresos - $totalGastos;

        // Obtener información del registro
        $registro = Registro::find($id_registro);

        // Pasar los datos a la vista
        return view('estadoResultados', [
            'registro' => $registro,
            'ingresos' => $ingresos,
            'gastos' => $gastos,
            'totalIngresos' => $totalIngresos,
            'totalGastos' => $totalGastos,
            'utilidad' => $utilidad,
        ]);
    }

}
