<?php

namespace App\Http\Controllers;

use App\Models\Registro;
use Illuminate\Http\Request;

class RegistroController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        // Eliminar los registros que no tengan asientos asociados
        Registro::whereNotIn('id_registro', function ($query) {
            $query->select('id_registro')
                  ->from('asientos');
        })->delete();
    
        // Obtener todos los registros para mostrarlos en la vista
        $data = Registro::all();
    
        return view('index', compact('data'));
    }
    
    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        //
        $data = new Registro();

        $data->nombre = $request->nombre;
  

        $data->save();

    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        //
        $item = Registro::find($id);
        $item->delete();
        return redirect()->route('registros.index');

    }
}
