<?php

/**
 * Created by Reliese Model.
 */

namespace App\Models;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Model;

/**
 * Class Asiento
 * 
 * @property int $id
 * @property int|null $id_registro
 * 
 * @property int|null $tipo
 * @property string|null $cuenta
 * @property float|null $debe
 * @property float|null $haber
 * @property string|null $descripcion
 * 
 * @property Registro|null $registro
 *
 * @package App\Models
 */
class Asiento extends Model
{
	protected $table = 'asientos';
	public $timestamps = false;

	protected $casts = [
		'id_registro' => 'int',
		'fecha' => 'date',
		'tipo' => 'int',
		'debe' => 'float',
		'haber' => 'float'
	];

	protected $fillable = [
		'id_registro',
		'fecha',
		'tipo',
		'cuenta',
		'debe',
		'haber',
		'descripcion'
	];

	public function registro()
	{
		return $this->belongsTo(Registro::class, 'id_registro');
	}
}
