<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Balance General</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet">
</head>

<body>

    <div class="container mt-4">
        <h1 class="text-center mb-4">Balance General de {{ $registro->nombre }}</h1>

        <div class="card mt-4" style="border:none;">
            <div class="card-body" style="display: flex; justify-content: space-around; flex-direction: row;">
                <a href="{{ route('mayo', $registro->id_registro) }}" class="btn"
                    style="background-color: rgba(0, 128, 0, 0.7); color: white;">Mayorización</a>
                    <a href="{{ route('balansa.show', $registro->id_registro) }}" class="btn"
                        style="background-color: rgba(0, 128, 0, 0.7); color: white;">Balanza de
                        comprobación</a>
                 <a href="{{ route('balance.general', $registro->id_registro) }}" class="btn"
                                style="background-color: rgba(0, 128, 0, 0.7); color: white;">Balance general</a>
                <a href="{{ route('asientos.show', $registro->id_registro) }}" class="btn"
                    style="background-color: rgba(0, 128, 0, 0.7); color: white;">Regresar</a>
            </div>
        </div>

        <!-- Tabla del Balance General -->
        <table class="table table-bordered">
            <thead>
                <tr>
                    <th>Tipo</th> <!-- Nueva columna para Tipo -->
                    <th>Cuenta</th>
                    <th>Debe</th>
                    <th>Haber</th>
                </tr>
            </thead>
            <tbody>
                <!-- Sección de Activos -->
                <tr class="table-success">
                    <td colspan="4"><strong>Activos</strong></td>
                </tr>
                @php
                    $totalActivosDebe = 0;
                    $totalActivosHaber = 0;
                @endphp
                @foreach ($activos as $activo)
                    <tr>
                        <td>Activo</td> <!-- Tipo Activo -->
                        <td>{{ $activo['cuenta'] }}</td>
                        <td>{{ number_format($activo['debe'], 2) }}</td>
                        <td>{{ number_format($activo['haber'], 2) }}</td>
                    </tr>
                    @php
                        $totalActivosDebe += $activo['debe'];
                        $totalActivosHaber += $activo['haber'];
                    @endphp
                @endforeach


                <!-- Sección de Pasivos -->
                <tr class="table-warning">
                    <td colspan="4"><strong>Pasivos</strong></td>
                </tr>
                @php
                    $totalPasivosDebe = 0;
                    $totalPasivosHaber = 0;
                @endphp
                @foreach ($pasivos as $pasivo)
                    <tr>
                        <td>Pasivo</td> <!-- Tipo Pasivo -->
                        <td>{{ $pasivo['cuenta'] }}</td>
                        <td>{{ number_format($pasivo['debe'], 2) }}</td>
                        <td>{{ number_format($pasivo['haber'], 2) }}</td>
                    </tr>
                    @php
                        $totalPasivosDebe += $pasivo['debe'];
                        $totalPasivosHaber += $pasivo['haber'];
                    @endphp
                @endforeach

                <!-- Sección de Patrimonio -->
                <tr class="table-danger">
                    <td colspan="4"><strong>Patrimonio</strong></td>
                </tr>
                @php
                    $totalPatrimonioDebe = 0;
                    $totalPatrimonioHaber = 0;
                @endphp
                @foreach ($patrimonio as $item)
                    <tr>
                        <td>Patrimonio</td> <!-- Tipo Patrimonio -->
                        <td>{{ $item['cuenta'] }}</td>
                        <td>{{ number_format($item['debe'], 2) }}</td>
                        <td>{{ number_format($item['haber'], 2) }}</td>
                    </tr>
                    @php
                        $totalPatrimonioDebe += $item['debe'];
                        $totalPatrimonioHaber += $item['haber'];
                    @endphp
                @endforeach

                <tr class="table-dark text-white">
                    <td><strong>Total Balance General</strong></td>
                    <td><strong></strong></td> <!-- Celda vacía para mantener el formato -->
                    <td><strong>{{ number_format($totalActivosDebe + $totalPasivosDebe + $totalPatrimonioDebe, 2) }}</strong>
                    </td>
                    <td><strong>{{ number_format($totalActivosHaber + $totalPasivosHaber + $totalPatrimonioHaber, 2) }}</strong>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js"></script>
</body>

</html>
