<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Balanza de Comprobación</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdn.datatables.net/2.0.8/css/dataTables.bootstrap5.css">
    <style>
        .navbar {
            background-color: #343a40;
        }

        .navbar-brand,
        .nav-link {
            color: #ffffff !important;
        }

        .navbar-brand:hover,
        .nav-link:hover {
            color: #f8f9fa !important;

        }


        .p {
            padding-right: 117px !important;

        }
    </style>
</head>

<body>

    <div style="background-color: rgba(0, 128, 0, 0.7); padding: 10px;">
        <h3 class="mt-4" style="color: white;">Proyectos de asiento</h3>
    </div>

    <div class="container-fluid" id="tabla">
        <div style="display: flex; align-items: center;">
            <hr style="border: 0; height: 2px; background-color: rgba(0, 128, 0, 0.7); flex-grow: 1;">
            {{-- <label style="margin-left: 10px; margin-right: 10px;">{{ $dota->nombre }}</label> --}}
            <hr style="border: 0; height: 2px; background-color: rgba(0, 128, 0, 0.7); flex-grow: 1;">
        </div>

        <div class="col">
            <div class="row">
                <div class="table-responsive small">


                    <div class="text-center">
                        <h2>Balanza de Comprobación</h2>
                    </div>
                    <div class="container mt-5">

                        <table id="categoriaTable" class="table table-hover table-bordered table-sm">
                            <thead class="text-center">
                                <tr class="text-center">

                                    <th>Tipo</th>
                                    <th>Cuenta</th>
                                    <th>Debe</th>
                                    <th>Haber</th>
                                </tr>
                            </thead>
                            <tbody class="text-center">
                                @foreach ($balanzaFinal as $item)
                                    <tr>

                                        <td>{{ $item['tipo'] }}</td> <!-- Usamos el tipo almacenado en el array -->
                                        <td>{{ $item['cuenta'] }}</td>
                                        <td>{{ number_format($item['debe'], 2) }}</td>
                                        <td>{{ number_format($item['haber'], 2) }}</td>
                                    </tr>
                                @endforeach
                            </tbody>
                            <tfoot class="text-center">
                                <tr>
                                    <th colspan="2" class="text-start">Totales:</th>
                                    <th>{{ number_format($totalDebe, 2) }}</th>
                                    <th>{{ number_format($totalHaber, 2) }}</th>
                                </tr>
                            </tfoot>
                        </table>
                    </div>

                </div>
            </div>
        </div>


        <div class="p" style=" display: flex; justify-content: flex-end; margin-top: 50px; padding-bottom: 20px;">
            <a href="{{ url()->previous() }}" class="btn"
                style="background-color: rgba(0, 128, 0, 0.7); color: white; padding: 15px 25px; margin-right: 20px;">
                Regresar
            </a>
        </div>

</body>

</html>
