<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Proyectos</title>

    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdn.datatables.net/2.0.8/css/dataTables.bootstrap5.css">
    <style>
        .navbar {
            background-color: #343a40;
        }

        .navbar-brand,
        .nav-link {
            color: #ffffff !important;
        }

        .navbar-brand:hover,
        .nav-link:hover {
            color: #f8f9fa !important;
        }
    </style>
</head>

<body>

    <div style="background-color: rgba(0, 128, 0, 0.7); padding: 10px;">
        <h3 class="mt-4" style="color: white;">Proyectos de asiento</h3>
    </div>

    <div class="container-fluid" id="tabla">
        <div style="display: flex; align-items: center;">
            <hr style="border: 0; height: 2px; background-color: rgba(0, 128, 0, 0.7); flex-grow: 1;">
            <label style="margin-left: 10px; margin-right: 10px;">{{ $registro->nombre }}</label>
            <hr style="border: 0; height: 2px; background-color: rgba(0, 128, 0, 0.7); flex-grow: 1;">

        </div>
        <div style="display: flex; align-items: center;">
            <hr style="border: 0; height: 2px; background-color: rgba(0, 128, 0, 0.7); flex-grow: 1;">
            <label style="margin-left: 10px; margin-right: 10px;">Estado de Resultados</label>
            <hr style="border: 0; height: 2px; background-color: rgba(0, 128, 0, 0.7); flex-grow: 1;">
        </div>
    </div>


    <div class="container-fluid d-flex justify-content-center align-items-center" style="min-height: 100vh;">
        <div class="container justify-content-center">
            <div class="row justify-content-center">
    
                <div class="col-md-8 mb-2">
                    <div class="card text-center">
                        <div class="card-body">
                            <div class="container-fluid">
                                <div class="container mt-5">
                                    <h3>Estado de Resultados de {{ $registro->nombre }}</h3>
    
                                    <!-- Formulario para seleccionar el rango de fechas -->
                                    <form action="{{ route('estadoresul', $registro->id_registro) }}" method="GET" class="mb-4">
                                        <div class="row">
                                            <div class="col-md-4">
                                                <label for="fecha_inicio" class="form-label">Fecha Inicio</label>
                                                <input type="date" class="form-control" id="fecha_inicio" name="fecha_inicio"
                                                    value="{{ request('fecha_inicio') }}" required>
                                            </div>
                                            <div class="col-md-4">
                                                <label for="fecha_fin" class="form-label">Fecha Fin</label>
                                                <input type="date" class="form-control" id="fecha_fin" name="fecha_fin"
                                                    value="{{ request('fecha_fin') }}" required>
                                            </div>
                                            <div class="col-md-4 d-flex align-items-end">
                                                <button type="submit" class="btn btn-success">Cambiar Fechas</button>
                                            </div>
                                        </div>
                                    </form>
                                    <br><br>
    
                                    <h4>Ingresos</h4>
                                    <table class="table table-bordered">
                                        <thead>
                                            <tr>
                                                <th>Fecha</th>
                                                <th>Cuenta</th>
                                                <th>Monto</th>
                                                <th>Descripción</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @foreach ($ingresos as $ingreso)
                                                <tr>
                                                    <td>{{ $ingreso->fecha }}</td>
                                                    <td>{{ $ingreso->cuenta }}</td>
                                                    <td>{{ number_format($ingreso->haber, 2) }}</td>
                                                    <td>{{ $ingreso->descripcion }}</td>
                                                </tr>
                                            @endforeach
                                        </tbody>
                                        <tfoot>
                                            <tr>
                                                <td colspan="2"><strong>Total Ingresos</strong></td>
                                                <td><strong>{{ number_format($totalIngresos, 2) }}</strong></td>
                                                <td></td>
                                            </tr>
                                        </tfoot>
                                    </table>
    
                                    <h4>Gastos</h4>
                                    <table class="table table-bordered">
                                        <thead>
                                            <tr>
                                                <th>Fecha</th>
                                                <th>Cuenta</th>
                                                <th>Monto</th>
                                                <th>Descripción</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @foreach ($gastos as $gasto)
                                                <tr>
                                                    <td>{{ $gasto->fecha }}</td>
                                                    <td>{{ $gasto->cuenta }}</td>
                                                    <td>{{ number_format(abs($gasto->debe), 2) }}</td>
                                                    <td>{{ $gasto->descripcion }}</td>
                                                </tr>
                                            @endforeach
                                        </tbody>
                                        <tfoot>
                                            <tr>
                                                <td colspan="2"><strong>Total Gastos</strong></td>
                                                <td><strong>{{ number_format(abs($totalGastos), 2) }}</strong></td>
                                                <td></td>
                                            </tr>
                                        </tfoot>
                                    </table>
    
                                    <h4>Utilidad Neta</h4>
                                    <table class="table table-bordered">
                                        <tbody>
                                            <tr>
                                                <td><strong>Utilidad Neta</strong></td>
                                                <td><strong>{{ number_format(abs($utilidad), 2) }}</strong></td>
                                            </tr>
                                        </tbody>
                                    </table>
    
                                    <a href="{{route('asientos.show', $registro->id_registro)}}" class="btn btn-primary">Regresar</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
    
                
    
            </div>
        </div>
    </div>
    


    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <!-- Search de la tabla -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/5.3.0/js/bootstrap.bundle.min.js"></script>
    <script src="https://cdn.datatables.net/2.0.8/js/dataTables.js"></script>
    <script src="https://cdn.datatables.net/2.0.8/js/dataTables.bootstrap5.js"></script>

</body>

</html>
