<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Editar Asientos</title>
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
    <style>
        .container {
            max-height: calc(100vh - 200px);
            /* Ajusta la altura máxima según sea necesario */
            overflow-y: auto;
            /* Habilita el desplazamiento vertical */
        }

        .total-row {
            font-weight: bold;
        }

        .button-container {
            display: flex;
            justify-content: center;
            gap: 10px;
            /* Espaciado entre botones */
        }

        .container {
            border: 1px solid #101111;
            /* Cambia el color y grosor del borde aquí */
            padding: 40px;
            /* Espacio interno en el contenedor */
            border-radius: 7px;
            /* Esquinas redondeadas (opcional) */
        }
    </style>
    <script>
        function addRow() {
            const table = document.getElementById("asientosTable");
            const row = table.insertRow(table.rows.length - 1); // Insertar antes de la fila de totales
            row.innerHTML = `
                 <td><input type="date" name="" disabled class="form-control"></td>
                <input type="hidden" name="fecha[]" value="">
               <td>
                    <select name="tipo[]" class="form-control" required>
                        <option value="0" selected>Activo</option>
                        <option value="1">Pasivo</option>
                        <option value="2">Patrimonio</option>
                        <option value="3">Ingreso</option>
                        <option value="4">Gasto</option>
                    </select>
                </td>
                <td><input type="text" name="cuenta[]" class="form-control" required></td>
                <td><input type="number" name="debe[]" class="form-control" step="0.01" value="0" oninput="updateTotals()"></td>
                <td><input type="number" name="haber[]" class="form-control" step="0.01" value="0" oninput="updateTotals()"></td>
                <td><input type="text" name="descripcion[]" class="form-control"></td>
                <input type="hidden" name="id_registro" value="<?php echo e($dota->id_registro); ?>">
                <input type="hidden" name="eliminar[]" value="0">
                <td><button type="button" class="btn btn-danger" onclick="removeRow(this)">X</button></td>
              
                `;
        }

        function subdivision() {
            const table = document.getElementById("asientosTable");
            const row = table.insertRow(table.rows.length - 1); // Insertar antes de la fila de totales
            row.innerHTML = `
                <td><input type="date" name="" disabled class="form-control"></td>
                <input type="hidden" name="fecha[]" value="">
                <td>
                    <select name="tipo[]" class="form-control" required>
                        <option value="0" selected>Activo</option>
                        <option value="1">Pasivo</option>
                        <option value="2">Patrimonio</option>
                        <option value="3">Ingreso</option>
                        <option value="4">Gasto</option>
                    </select>
                </td>
                <td><input type="text" name="cuenta[]" class="form-control" required></td>
                <td><input type="number" name="debe[]" class="form-control" step="0.01" value="0" oninput="updateTotals()"></td>
                <td><input type="number" name="haber[]" class="form-control" step="0.01" value="0" oninput="updateTotals()"></td>
                <td><input type="text" name="" class="form-control" value="-" disabled></td>
                <input type="hidden" name="descripcion[]" value="-">
                <input type="hidden" name="id_registro" value="<?php echo e($dota->id_registro); ?>">
                <input type="hidden" name="eliminar[]" value="0">
                <td><button type="button" class="btn btn-danger" onclick="removeRow(this)">X</button></td>
            `;
        }

        function removeRow(button) {
            const row = button.parentNode.parentNode;
            const hiddenInput = row.querySelector('input[name="eliminar[]"]');

            if (hiddenInput) {
                hiddenInput.value = "1"; // Marcar para eliminar
                row.style.display = "none"; // Ocultar la fila
            }
        }


        function updateTotals() {
            let totalDebe = 0;
            let totalHaber = 0;

            const debeInputs = document.querySelectorAll('input[name="debe[]"]');
            const haberInputs = document.querySelectorAll('input[name="haber[]"]');

            debeInputs.forEach(input => {
                totalDebe += parseFloat(input.value) || 0;
            });

            haberInputs.forEach(input => {
                totalHaber += parseFloat(input.value) || 0;
            });

            document.getElementById('totalDebe').innerText = totalDebe.toFixed(2);
            document.getElementById('totalHaber').innerText = totalHaber.toFixed(2);
        }
    </script>
</head>

<body>

    <form id="asientosForm" action="<?php echo e(route('asientos.update')); ?>" method="POST">
        <?php echo csrf_field(); ?>
        <?php echo method_field('PUT'); ?>
        <div class="container mt-5">
            <h1 class="mb-4 text-center">Proyecto: <?php echo e($dota->nombre); ?></h1>

            <?php if(session('success')): ?>
                <div class="alert alert-success"><?php echo e(session('success')); ?></div>
            <?php endif; ?>

            <table id="asientosTable" class="table table-bordered">
                <thead>
                    <tr>
                        <th>Fecha</th>
                        <th>Tipo</th>
                        <th>Cuenta</th>
                        <th>Debe</th>
                        <th>Haber</th>
                        <th>Descripción</th>
                        <th>Eliminar</th>
                    </tr>
                </thead>
                <tbody>
                    <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>


                            <?php if($item->fecha == null): ?>
                                <td><input type="date" name="" disabled class="form-control"></td>
                                <input type="hidden" name="fecha[]" value="">
                            <?php else: ?>
                                <td><input type="date" name="fecha[]" class="form-control"
                                        value="<?php echo e($item->fecha ? date('Y-m-d', strtotime($item->fecha)) : ''); ?>"
                                        required></td>
                            <?php endif; ?>

                            <input type="hidden" name="asiento_id[]" value="<?php echo e($item->id); ?>">
                            <input type="hidden" name="eliminar[]" value="0">
                            <td>
                                <select name="tipo[]" class="form-control" required>
                                    <option value="0" <?php echo e($item->tipo == 0 ? 'selected' : ''); ?>>Activo</option>
                                    <option value="1" <?php echo e($item->tipo == 1 ? 'selected' : ''); ?>>Pasivo</option>
                                    <option value="2" <?php echo e($item->tipo == 2 ? 'selected' : ''); ?>>Patrimonio</option>
                                    <option value="3" <?php echo e($item->tipo == 3 ? 'selected' : ''); ?>>Ingreso</option>
                                    <option value="4" <?php echo e($item->tipo == 4 ? 'selected' : ''); ?>>Gasto</option>
                                </select>
                            </td>
                            <td><input type="text" name="cuenta[]" class="form-control" value="<?php echo e($item->cuenta); ?>"
                                    required></td>
                            <td><input type="number" name="debe[]" class="form-control" step="0.01"
                                    value="<?php echo e($item->debe); ?>" oninput="updateTotals()"></td>
                            <td><input type="number" name="haber[]" class="form-control" step="0.01"
                                    value="<?php echo e($item->haber); ?>" oninput="updateTotals()"></td>
                            <?php if($item->descripcion == '-'): ?>
                                <td><input type="text" name="" class="form-control" value="-" disabled>
                                </td>
                                <input type="hidden" name="descripcion[]" value="-">
                            <?php else: ?>
                                <td><input type="text" name="descripcion[]" class="form-control"
                                        value="<?php echo e($item->descripcion); ?>"></td>
                            <?php endif; ?>
                            <td><button type="button" class="btn btn-danger" onclick="removeRow(this)">X</button></td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
                <tfoot>
                    <tr class="total-row">
                        <td colspan="3">Totales</td>
                        <td id="totalDebe">0.00</td>
                        <td id="totalHaber">0.00</td>
                        <td colspan="2"></td>
                    </tr>
                </tfoot>
            </table>

            

        </div>

        <div class="button-container p-4">
            <button type="button" class="btn btn-primary" onclick="addRow()">Agregar otro asiento</button>
            <button type="button" class="btn btn-secondary" onclick="subdivision()">Subdivision</button>
            <button type="submit" class="btn btn-success">Guardar</button>
            <a href="<?php echo e(route('registros.index')); ?>" class="btn btn-warning">Regresar</a>
        </div>

    </form>


    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</body>

</html>
<?php /**PATH C:\Users\jalit\Downloads\AsientosContables\resources\views/editAsiento.blade.php ENDPATH**/ ?>