<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Proyectos</title>

    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdn.datatables.net/2.0.8/css/dataTables.bootstrap5.css">
    <style>
        .navbar {
            background-color: #343a40;
        }

        .navbar-brand,
        .nav-link {
            color: #ffffff !important;
        }

        .navbar-brand:hover,
        .nav-link:hover {
            color: #f8f9fa !important;
        }
    </style>
</head>

<body>

    <div style="background-color: rgba(0, 128, 0, 0.7); padding: 10px;">
        <h3 class="mt-4" style="color: white;">Proyectos de asiento</h3>
    </div>

    <div class="container-fluid" id="tabla">
        <div style="display: flex; align-items: center;">
            <hr style="border: 0; height: 2px; background-color: rgba(0, 128, 0, 0.7); flex-grow: 1;">
            <label style="margin-left: 10px; margin-right: 10px;"><?php echo e($dota->nombre); ?></label>
            <hr style="border: 0; height: 2px; background-color: rgba(0, 128, 0, 0.7); flex-grow: 1;">
        </div>

        <div class="col">
            <div class="row">
                <div class="table-responsive small">
                    <table id="categoriaTable" class="table table-hover table-bordered table-sm">
                        <thead class="text-center">
                            <tr class="text-center">
                                <th class="th text-center" scope="col">ID</th>
                                <th class="th text-center" scope="col">Fecha</th>
                                <th class="th text-center" scope="col">Tipo</th>
                                <th class="th text-center" scope="col">Cuenta</th>
                                <th class="th text-center" scope="col">Debe</th>
                                <th class="th text-center" scope="col">Haber</th>
                                <th class="th text-center" scope="col">Descripción</th>
                            </tr>
                        </thead>
                        <tbody class="text-center">
                            <?php
                                // Mapa de tipos
                                $tipos = [
                                    0 => 'Activo',
                                    1 => 'Pasivo',
                                    2 => 'Capital',
                                    3 => 'Ingreso',
                                    4 => 'Gasto',
                                ];

                                $totaldebe = 0;
                                $totalhaber = 0;
                            ?>

                            <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($index + 1); ?></td>
                                    <td><?php echo e($item->fecha); ?></td>
                                    <td><?php echo e($tipos[$item->tipo] ?? 'Desconocido'); ?></td>
                                    <td><?php echo e($item->cuenta); ?></td>
                                    <td><?php echo e($item->debe); ?></td>
                                    <td><?php echo e($item->haber); ?></td>
                                    <td><?php echo e($item->descripcion); ?></td>
                                </tr>
                                <?php
                                    $totaldebe += $item->debe;
                                    $totalhaber += $item->haber;
                                ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                        <tfoot>
                            <tr class="total-row">
                                <td colspan="4"><b>Total:</b></td>
                                <td id="totalDebe"><b><?php echo e($totaldebe); ?></b></td>
                                <td id="totalHaber"><b><?php echo e($totalhaber); ?></b></td>
                                <td colspan="2"></td>
                            </tr>
                        </tfoot>
                    </table>

                    <div id="error2" class="alert alert-danger" style="display: none;"></div>


                    <div class="card mt-4" style="border:none;">
                        <div class="card-body"
                            style="display: flex; justify-content: space-around; flex-direction: row;">
                            <form action="<?php echo e(route('estadoresul', $dota->id_registro)); ?>" method="GET">
                                <?php echo csrf_field(); ?>
                                <div class="row">
                                    <!-- Campo para seleccionar fecha de inicio -->
                                    <div class="col">
                                        <label for="fecha_inicio">Fecha Inicio:</label>
                                        <input type="date" name="fecha_inicio" id="fecha_inicio" class="form-control"
                                            required>
                                    </div>

                                    <!-- Campo para seleccionar fecha de fin -->
                                    <div class="col">
                                        <label for="fecha_fin">Fecha Fin:</label>
                                        <input type="date" name="fecha_fin" id="fecha_fin" class="form-control"
                                            required>
                                    </div>

                                    <!-- Botón para generar el estado de resultados -->
                                    <div class="col d-flex align-items-end">
                                        <button type="submit" class="btn"
                                            style="background-color: rgba(0, 128, 0, 0.7); color: white;">Generar Estado
                                            de
                                            Resultados</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>

                    <div class="card mt-4" style="border:none;">
                        <div class="card-body"
                            style="display: flex; justify-content: space-around; flex-direction: row;">
                            <a href="<?php echo e(route('mayo', $dota->id_registro)); ?>" class="btn"
                                style="background-color: rgba(0, 128, 0, 0.7); color: white;">Mayorización</a>
                            <a href="<?php echo e(route('balansa.show', $dota->id_registro)); ?>" class="btn"
                                style="background-color: rgba(0, 128, 0, 0.7); color: white;">Balanza de
                                comprobación</a>


                            <a href="<?php echo e(route('balance.general', $dota->id_registro)); ?>" class="btn"
                                style="background-color: rgba(0, 128, 0, 0.7); color: white;">Balance general</a>


                            <a href="<?php echo e(route('registros.index')); ?>" class="btn"
                                style="background-color: rgba(0, 128, 0, 0.7); color: white;">Regresar</a>
                            <form action="<?php echo e(route('registros.destroy', $dota)); ?>" method="POST">
                                <?php echo csrf_field(); ?>
                                <?php echo method_field('DELETE'); ?>

                                <a href= "<?php echo e(route('asientos.edit', $dota)); ?>" class="btn btn-info">Editar</a>
                                <button type="submit" class="btn btn-danger ms-3">Eliminar</button>

                            </form>

                        </div>
                    </div>

                </div>
            </div>
        </div>
        <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
        <!-- Search de la tabla -->
        <script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/5.3.0/js/bootstrap.bundle.min.js"></script>
        <script src="https://cdn.datatables.net/2.0.8/js/dataTables.js"></script>
        <script src="https://cdn.datatables.net/2.0.8/js/dataTables.bootstrap5.js"></script>
        <script>
            $(document).ready(function() {
                $('#categoriaTable').DataTable();
            });
        </script>
</body>

</html>
<?php /**PATH C:\Users\jalit\Downloads\AsientosContables\resources\views/viewProyecto.blade.php ENDPATH**/ ?>