<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Proyectos</title>

    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdn.datatables.net/2.0.8/css/dataTables.bootstrap5.css">
    <style>
        .navbar {
            background-color: #343a40;
        }

        .navbar-brand,
        .nav-link {
            color: #ffffff !important;
        }

        .navbar-brand:hover,
        .nav-link:hover {
            color: #f8f9fa !important;
        }
    </style>
</head>

<body>

    <div style="background-color: rgba(0, 128, 0, 0.7); padding: 10px;">
        <h3 class="mt-4" style="color: white;">Proyectos de asiento</h3>
    </div>

    <div class="container-fluid" id="tabla">
        <div style="display: flex; align-items: center;">
            <hr style="border: 0; height: 2px; background-color: rgba(0, 128, 0, 0.7); flex-grow: 1;">
            <label style="margin-left: 10px; margin-right: 10px;"><?php echo e($registro->nombre); ?></label>
            <hr style="border: 0; height: 2px; background-color: rgba(0, 128, 0, 0.7); flex-grow: 1;">
        </div>
    </div>


    <div class="col">
        <div class="row">

            <div class="container">

                <div class="row">
                    <?php $__currentLoopData = $asientosAgrupados; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cuenta => $asientos): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="col-md-3 mb-4">
                            <div class="card text-center m-3">
                                <div class="card-body">
                                    <!-- Título del card con el nombre de la cuenta -->
                                    <h5 class="card-title"><?php echo e($cuenta); ?></h5>

                                    <!-- Tabla que muestra Debe y Haber -->
                                    <table class="table table-bordered text-center">
                                        <thead>
                                            <tr>
                                                <th>DEBE</th>
                                                <th>HABER</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php
                                                $totalDebe = 0;
                                                $totalHaber = 0;
                                            ?>

                                            <?php $__currentLoopData = $asientos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $asiento): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <tr>
                                                    <td><?php echo e($asiento->debe); ?></td>
                                                    <td><?php echo e($asiento->haber); ?></td>
                                                </tr>
                                                <?php
                                                    $totalDebe += $asiento->debe;
                                                    $totalHaber += $asiento->haber;
                                                ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </tbody>
                                        <tfoot>
                                            <tr>
                                                <th>Total Debe</th>
                                                <th>Total Haber</th>
                                            </tr>
                                            <tr>
                                                <th><strong><?php echo e($totalDebe); ?></strong></th>
                                                <th><strong><?php echo e($totalHaber); ?></strong></th>
                                            </tr>
                                        </tfoot>
                                    </table>

                                    <!-- Mostrar resultado de la resta -->
                                    <h1>
                                        Resultado: <?php echo e(abs($totalDebe - $totalHaber)); ?>

                                    </h1>
                                </div>
                            </div>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
            </div>
            <div class="card mt-4" style="border:none;">
                <div class="card-body" style="display: flex; justify-content: space-around; flex-direction: row;">
                    <form action="<?php echo e(route('estadoresul', $registro->id_registro)); ?>" method="GET">
                        <?php echo csrf_field(); ?>
                        <div class="row">
                            <!-- Campo para seleccionar fecha de inicio -->
                            <div class="col">
                                <label for="fecha_inicio">Fecha Inicio:</label>
                                <input type="date" name="fecha_inicio" id="fecha_inicio" class="form-control"
                                    required>
                            </div>

                            <!-- Campo para seleccionar fecha de fin -->
                            <div class="col">
                                <label for="fecha_fin">Fecha Fin:</label>
                                <input type="date" name="fecha_fin" id="fecha_fin" class="form-control" required>
                            </div>

                            <!-- Botón para generar el estado de resultados -->
                            <div class="col d-flex align-items-end">
                                <button type="submit" class="btn"
                                    style="background-color: rgba(0, 128, 0, 0.7); color: white;">Generar Estado de
                                    Resultados</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>

            <div class="card mt-4" style="border:none;">
                <div class="card-body" style="display: flex; justify-content: space-around; flex-direction: row;">
                    <a href="#" class="btn"
                        style="background-color: rgba(0, 128, 0, 0.7); color: white;">Balanza de comprobación</a>

                    <a href="#" class="btn"
                        style="background-color: rgba(0, 128, 0, 0.7); color: white;">Balance general</a>
                    <a href="<?php echo e(route('asientos.show', $registro->id_registro)); ?>" class="btn"
                        style="background-color: rgba(0, 128, 0, 0.7); color: white;">Regresar</a>
                </div>
            </div>
        </div>
    </div>
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <!-- Search de la tabla -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/5.3.0/js/bootstrap.bundle.min.js"></script>
    <script src="https://cdn.datatables.net/2.0.8/js/dataTables.js"></script>
    <script src="https://cdn.datatables.net/2.0.8/js/dataTables.bootstrap5.js"></script>

</body>

</html>
<?php /**PATH C:\Users\Hanzel\Desktop\AsientosContables\AsientosContables\resources\views/createMayorizacion.blade.php ENDPATH**/ ?>