<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Dashboard</title>
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
  <link rel="stylesheet" href="/css/style.css">
  <link rel="stylesheet" href="https://cdn.datatables.net/2.0.8/css/dataTables.bootstrap5.css">
    <!-- Search de la tabla -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/5.3.0/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/2.0.8/css/dataTables.bootstrap5.css">
  <style>
    .navbar {
      background-color: #343a40;
    }

    .navbar-brand,
    .nav-link {
      color: #ffffff !important;
    }

    .navbar-brand:hover,
    .nav-link:hover {
      color: #f8f9fa !important;
    }
  </style>
</head>

<body>
  <div style="background-color: rgba(0, 128, 0, 0.7); padding: 10px;">
    <h3 class="mt-4" style="color: white;">Proyectos de asiento</h3>
  </div>

  <div class="container-fluid" id="tabla">
    <div class="container mt-4" style="display: flex; justify-content: flex-end;">
      <button class="btn text-white" data-bs-toggle="modal" data-bs-target="#registroModal"
        style="background-color: rgba(0, 128, 0, 0.7);">Nuevo Proyecto +</button>
    </div>

    <div style="display: flex; align-items: center;">
      <hr style="border: 0; height: 2px; background-color: rgba(0, 128, 0, 0.7); flex-grow: 1;">
      <label style="margin-left: 10px; margin-right: 10px;">Proyectos registrados</label>
      <hr style="border: 0; height: 2px; background-color: rgba(0, 128, 0, 0.7); flex-grow: 1;">
    </div>

    <div class="modal fade" id="registroModal" tabindex="-1" aria-labelledby="registroModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="registroModalLabel">Nuevo Registro</h5>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
          </div>
          <div class="modal-body">
            <form id="registroForm">
              <div class="mb-3">
                <label for="nombre" class="form-label">Nombre</label>
                <input type="text" class="form-control" id="nombre" name="nombre" required>
              </div>
            </form>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
            <button type="button" class="btn btn-primary" id="guardarRegistro">Guardar</button>
          </div>
        </div>
      </div>
    </div>

    <div class="row mt-4">
      <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
      <div class="col-md-4 mb-4">
        <div class="card">
          <div class="card-body">
            <h5 class="card-title"><?php echo e($item->nombre); ?></h5>
            <div class="d-flex justify-content-center pt-3">
              <div>
                <form action="<?php echo e(route('registros.destroy', $item)); ?>" method="POST">
                  <?php echo csrf_field(); ?>
                  <?php echo method_field('DELETE'); ?>
                  
                  <a href= "<?php echo e(route('asientos.show', $item)); ?>" class="btn btn-info btn-sm"  >Ver</a>
                  <button type="submit" class="btn btn-danger btn-sm" >Eliminar</button>
                  
                </form>
              </div>
            </div>
          </div>
        </div>
      </div>
      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </div>

    <div id="error2" class="alert alert-danger" style="display: none;"></div>
  </div>
  <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <!-- Search de la tabla -->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/5.3.0/js/bootstrap.bundle.min.js"></script>
  <script src="https://cdn.datatables.net/2.0.8/js/dataTables.js"></script>
  <script src="https://cdn.datatables.net/2.0.8/js/dataTables.bootstrap5.js"></script>
  <script>
    $(document).ready(function () {
      $('#categoriaTable').DataTable();
    });

    document.getElementById('guardarRegistro').addEventListener('click', function() {
        var form = document.getElementById('registroForm');
        var formData = new FormData(form);

        fetch('<?php echo e(route('registros.store')); ?>', {
            method: 'POST',
            body: formData,
            headers: {
                'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>' // Asegúrate de incluir el token CSRF
            }
        })
        .then(response => {
            if (response.ok) {
                // Redirigir a asientos.create
                window.location.href = '<?php echo e(route('asientos.create')); ?>';
            } else {
                // Manejar errores
                alert('Error al guardar el registro.');
            }
        });
    });
  </script>
</body>
</html>
<?php /**PATH C:\Users\Hanzel\Desktop\AsientosContables\AsientosContables\resources\views/index.blade.php ENDPATH**/ ?>