<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Balance General</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet">
</head>

<body>

    <div class="container mt-4">
        <h1 class="text-center mb-4">Balance General de <?php echo e($registro->nombre); ?></h1>

        <div class="card mt-4" style="border:none;">
            <div class="card-body" style="display: flex; justify-content: space-around; flex-direction: row;">
                <a href="<?php echo e(route('mayo', $registro->id_registro)); ?>" class="btn"
                    style="background-color: rgba(0, 128, 0, 0.7); color: white;">Mayorización</a>
                <a href="#" class="btn" style="background-color: rgba(0, 128, 0, 0.7); color: white;">Balanza
                    de comprobación</a>
                <a href="#" class="btn" style="background-color: rgba(0, 128, 0, 0.7); color: white;">Balance
                    general</a>
                <a href="<?php echo e(route('asientos.show', $registro->id_registro)); ?>" class="btn"
                    style="background-color: rgba(0, 128, 0, 0.7); color: white;">Regresar</a>
            </div>
        </div>

        <!-- Tabla del Balance General -->
        <table class="table table-bordered">
            <thead>
                <tr>
                    <th>Tipo</th> <!-- Nueva columna para Tipo -->
                    <th>Cuenta</th>
                    <th>Debe</th>
                    <th>Haber</th>
                </tr>
            </thead>
            <tbody>
                <!-- Sección de Activos -->
                <tr class="table-success">
                    <td colspan="4"><strong>Activos</strong></td>
                </tr>
                <?php
                    $totalActivosDebe = 0;
                    $totalActivosHaber = 0;
                ?>
                <?php $__currentLoopData = $activos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $activo): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td>Activo</td> <!-- Tipo Activo -->
                        <td><?php echo e($activo['cuenta']); ?></td>
                        <td><?php echo e(number_format($activo['debe'], 2)); ?></td>
                        <td><?php echo e(number_format($activo['haber'], 2)); ?></td>
                    </tr>
                    <?php
                        $totalActivosDebe += $activo['debe'];
                        $totalActivosHaber += $activo['haber'];
                    ?>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


                <!-- Sección de Pasivos -->
                <tr class="table-warning">
                    <td colspan="4"><strong>Pasivos</strong></td>
                </tr>
                <?php
                    $totalPasivosDebe = 0;
                    $totalPasivosHaber = 0;
                ?>
                <?php $__currentLoopData = $pasivos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pasivo): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td>Pasivo</td> <!-- Tipo Pasivo -->
                        <td><?php echo e($pasivo['cuenta']); ?></td>
                        <td><?php echo e(number_format($pasivo['debe'], 2)); ?></td>
                        <td><?php echo e(number_format($pasivo['haber'], 2)); ?></td>
                    </tr>
                    <?php
                        $totalPasivosDebe += $pasivo['debe'];
                        $totalPasivosHaber += $pasivo['haber'];
                    ?>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                <!-- Sección de Patrimonio -->
                <tr class="table-danger">
                    <td colspan="4"><strong>Patrimonio</strong></td>
                </tr>
                <?php
                    $totalPatrimonioDebe = 0;
                    $totalPatrimonioHaber = 0;
                ?>
                <?php $__currentLoopData = $patrimonio; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td>Patrimonio</td> <!-- Tipo Patrimonio -->
                        <td><?php echo e($item['cuenta']); ?></td>
                        <td><?php echo e(number_format($item['debe'], 2)); ?></td>
                        <td><?php echo e(number_format($item['haber'], 2)); ?></td>
                    </tr>
                    <?php
                        $totalPatrimonioDebe += $item['debe'];
                        $totalPatrimonioHaber += $item['haber'];
                    ?>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                <tr class="table-dark text-white">
                    <td><strong>Total Balance General</strong></td>
                    <td><strong></strong></td> <!-- Celda vacía para mantener el formato -->
                    <td><strong><?php echo e(number_format($totalActivosDebe + $totalPasivosDebe + $totalPatrimonioDebe, 2)); ?></strong>
                    </td>
                    <td><strong><?php echo e(number_format($totalActivosHaber + $totalPasivosHaber + $totalPatrimonioHaber, 2)); ?></strong>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js"></script>
</body>

</html>
<?php /**PATH C:\Users\Hanzel\Desktop\AsientosContables\AsientosContables\resources\views/balanceGeneral.blade.php ENDPATH**/ ?>